lv.eparaksts.validation

## Class SignatureValidationResult

- java.lang.Object
- - lv.eparaksts.validation.ValidationResult
  - - lv.eparaksts.validation.SignatureValidationResult

-     public class SignatureValidationResult
      extends ValidationResult

  A `SignatureValidationResult` is a tree structured data set of a signature validation result.

- - ### Field Summary

    - ### Fields inherited from class lv.eparaksts.validation.ValidationResult

      `resultList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureValidationResult()`
    `SignatureValidationResult(String id, String description, Date validationDate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignatureQualification` | `getSignatureQualification()` Returns the resolved signature qualification based on the signing certificate qualification.
    `CertificateValidationResult` | `getSigningCertificateResult()` Returns the signing certificate validation result.
    `TimestampQualification` | `getTimestampQualification()` Returns the resolved timestamp qualification.

    - ### Methods inherited from class lv.eparaksts.validation.ValidationResult

      `addResult, addResult, checkFailed, checkNotChecked, checkPassed, getDescription, getId, getReasons, getResults, getSignatureResult, getStatus, getType, getValidationDate, setDescription, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SignatureValidationResult

          public SignatureValidationResult()

    - #### SignatureValidationResult

          public SignatureValidationResult(String id,
                                           String description,
                                           Date validationDate)

  - ### Method Detail

    - #### getSignatureQualification

          public SignatureQualification getSignatureQualification()

      Returns the resolved signature qualification based on the signing certificate qualification.
      Returns:
        signature qualification.

    - #### getSigningCertificateResult

          public CertificateValidationResult getSigningCertificateResult()

      Returns the signing certificate validation result.
      Returns:
        signing certificate validation result or null if not found.

    - #### getTimestampQualification

          public TimestampQualification getTimestampQualification()

      Returns the resolved timestamp qualification.
      Returns:
        timestamp qualification.

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO